org.eclipse.microprofile.reactive.messaging.tck.connector

## Class MissingConnectorTest

- java.lang.Object
- - org.eclipse.microprofile.reactive.messaging.tck.connector.MissingConnectorTest

    public class MissingConnectorTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`MissingConnectorTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.Archive<org.jboss.shrinkwrap.api.spec.JavaArchive>` `missingConnectorDeployment()`
`static org.jboss.shrinkwrap.api.Archive<org.jboss.shrinkwrap.api.spec.JavaArchive>` `missingStreamDeployment()`
`void` `testWhenTheConnectorAreNotConfigured()`
`void` `testWhenTheStreamNameDoesNotMatch()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MissingConnectorTest

    public MissingConnectorTest()

### Method Detail

#### missingConnectorDeployment

    @Deployment(managed=false,
                name="missing-connector")
     @ShouldThrowException(value=jakarta.enterprise.inject.spi.DeploymentException.class,
                          testable=true)
    public static org.jboss.shrinkwrap.api.Archive<org.jboss.shrinkwrap.api.spec.JavaArchive> missingConnectorDeployment()

#### testWhenTheConnectorAreNotConfigured

    public void testWhenTheConnectorAreNotConfigured()

#### missingStreamDeployment

    @Deployment(managed=false,
                name="missing-stream")
     @ShouldThrowException(value=jakarta.enterprise.inject.spi.DeploymentException.class,
                          testable=true)
    public static org.jboss.shrinkwrap.api.Archive<org.jboss.shrinkwrap.api.spec.JavaArchive> missingStreamDeployment()

#### testWhenTheStreamNameDoesNotMatch

    public void testWhenTheStreamNameDoesNotMatch()